PTS_LISTOWNED(1)

NAME
pts_listowned - Show the Protection Database groups owned by a user or group

SYNOPSIS
pts listowned -nameorid <user or group name or id>+
    [-cell <cell name>] [-noauth] [-localauth] [-force] [-help]
    [-auth] [-encrypt] [-config <config directory>]

pts listo -na <user or group name or id>+
    [-c <cell name>] [-no] [-l] [-f] [-h]
    [-a] [-e] [-co <config directory>]

DESCRIPTION
The pts listowned command lists the groups owned by each user or group specified by the -nameorid argument.

To list any orphaned groups, whose owners have themselves been deleted from the Protection Database, provide a value of 0 (zero) for the -nameorid argument. To change the owner to a user or group that still exists, use the pts chown command.

OPTIONS

-nameorid <user or group name or id>+
    Specifies the name or AFS UID of each user, or the name or AFS GID of each group, for which to display the list of owned groups. It is acceptable to mix users and groups on the same command line, as well as names and IDs. Precede the GID of each group with a hyphen to indicate that it is negative.

    A value of 0 (zero) lists group entries for groups whose owners no longer have entries in the Protection Database.

-auth
    Use the calling user's tokens to communicate with the Protection Server. For more details, see pts(1).

-cell <cell name>
    Names the cell in which to run the command. For more details, see pts(1).

-config <config directory>
    Use an alternate config directory. For more details, see pts(1).

-encrypt
    Encrypts any communication with the Protection Server. For more details, see pts(1).

-force
    Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-help
    Prints the online help for this command. All other valid options are ignored.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. Do not combine this flag with the -cell or -noauth options. For more details, see pts(1).

-noauth
    Assigns the unprivileged identity anonymous to the issuer. For more details, see pts(1).

OUTPUT
The first line of the output indicates the name and AFS UID or AFS GID of each user or group for which ownership information is requested, in the following format:

   Groups owned by <name> (id: <ID>) are:

A list of groups follows. The list does not include groups owned by groups that the user or group owns, or to which the user or group belongs. If the user or group does not own any groups, only the header line appears.

The following error message appears if the issuer is not privileged to view ownership information. By default, for both user and group entries the second privacy flag is the hyphen, which denies permission to anyone other than the user (for a user entry) and the members of the system:administrators group.

   pts: Permission denied so failed to get owner list for <name> (id: <ID>)

EXAMPLES
The following example lists the groups owned by user terry and shows that the group "terry:friends" does not own any groups:

   % pts listowned terry terry:friends
   Groups owned by terry (id: 1045) are:
     terry:friends
     terry:project1
     terry:project2
   Groups owned by terry:friends (id: -673) are:

PRIVILEGE REQUIRED
The required privilege depends on the setting of the second privacy flag in the Protection Database entry of each user or group indicated by the -nameorid argument (use the pts examine command to display the flags):

•   If it is the hyphen and the -nameorid argument specifies a group, only the members of the system:administrators group and the owner of a group can list the groups it owns.

•   If it is the hyphen and the -nameorid argument specifies a user, only the members of the system:administrators group and the associated user can list the groups he or she owns.

•   If it is uppercase letter "O", anyone who can access the cell's database server machines can list the groups owned by this user or group.

SEE ALSO
pts(1), pts_chown(1), pts_examine(1), pts_setfields(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.